#include "btk-utils.h"

/* interaction */
static const char         btk_scroll_speed = 20;  /* put negative value to invert direction */
static const unsigned int btk_click_speed  = 200; /* max time between double clicks, in ms */

/* font */
/* only works well with monospace fonts */
static const char         btk_font_name[]       = "Terminus";
static const unsigned int btk_font_size         = 16;
static const unsigned int btk_tab_size          = 4;
static const unsigned int btk_text_spacing      = 7;
static const unsigned int btk_caret_offset      = 4;
static const btk_pos_t    btk_text_offset_tweak = {0 , -0};

/* geometry */
static const btk_size_t   btk_cp      = {72, 45}; /* pixel dimensions of one cell unit */
static const unsigned int btk_frame   = 2;        /* thickness of the frame between cells */
static const unsigned int btk_padding = 11;       /* for elements inside the cells */

/* generic colors */
static const btk_rgb_t btk_cl[] = {
	{0.651f, 0.604f, 0.494f},
	{0.557f, 0.753f, 0.486f},
	{0.694f, 0.384f, 0.525f},
	{0.984f, 0.286f, 0.204f},
	{0.941f, 0.761f, 0.357f}
};

/* special colors */
static const btk_rgb_t btk_cl_frame         = {0.000f, 0.000f, 0.000f};
static const btk_rgb_t btk_cl_frame_focus   = {0.627f, 0.627f, 0.627f};
static const btk_rgb_t btk_cl_frame_in      = {0.427f, 0.827f, 0.427f};
static const btk_rgb_t btk_cl_empty         = {0.133f, 0.133f, 0.133f};
static const btk_rgb_t btk_cl_field         = {0.157f, 0.157f, 0.157f};
static const btk_rgb_t btk_cl_select        = {0.741f, 0.561f, 0.157f};
static const btk_rgb_t btk_cl_bell          = {0.984f, 0.286f, 0.204f};
static const btk_rgb_t btk_cl_dyn_idle      = {0.455f, 0.318f, 0.000f};
static const btk_rgb_t btk_cl_dyn_pressed   = {0.996f, 0.502f, 0.100f};
static const btk_rgb_t btk_cl_dyn_disabled  = {0.302f, 0.208f, 0.000f};
static const btk_rgb_t btk_cl_pass_off      = {0.235f, 0.220f, 0.212f};
static const btk_rgb_t btk_cl_pass_on       = {0.741f, 0.561f, 0.157f};
static const btk_rgb_t btk_cl_text_normal   = {0.922f, 0.859f, 0.824f};
static const btk_rgb_t btk_cl_text_hilight  = {0.114f, 0.125f, 0.129f};
static const btk_rgb_t btk_cl_text_lolight  = {0.326f, 0.302f, 0.247f};
static const btk_rgb_t btk_cl_text_disabled = {0.651f, 0.604f, 0.494f};
static const btk_rgb_t btk_cl_text_select   = {0.114f, 0.125f, 0.129f};
static const btk_rgb_t btk_cl_text_bell     = {0.114f, 0.125f, 0.129f};
static const btk_rgb_t btk_cl_text_spot     = {0.557f, 0.753f, 0.486f};

static const btk_rgba_t btk_cl_window_overlay  = {0.000f, 0.000f, 0.000f, 0.200f};

/* log
 * 0 -> no logs at all
 * 1 -> only errors
 * 2 -> errors + warnings
 * 3 -> errors + warnings + activity */
static const int btk_log_level = 2;
