#include <xcb/xcb.h>

#include "btk-window.h"

typedef struct {
	xcb_connection_t  *x_con;
	int pad0;
	xcb_screen_t      *x_scr;
	int pad1;
	xcb_visualtype_t  *x_vis;
	int pad2;
	xcb_keysym_t      *x_ksm;   /* keysym table */
	int pad3;
	int                x_nks;   /* keysyms per keycode */
	int                x_nkc;   /* number of keycodes */
	btk_window_t     **windows;
	unsigned int       windows_n;
	int                window_focus;
	int                window_press;
	xcb_timestamp_t    combo_t; /* timestamp of last click */
	int                combo_n; /* number of successive clicks */
	int                combo_b; /* button used for combo */
	int                start;   /* TODO, see expose event handler */
} btk_session_t;

void           btk_close (btk_session_t *);
void           btk_loop  (btk_session_t *, btk_window_t **, int);
void           btk_map   (btk_session_t *, btk_window_t *);
btk_session_t* btk_open  ();
void           btk_unmap (btk_session_t *, btk_window_t *);
